XD(1)

NAME
xd - hex, octal, decimal, or ASCII dump

SYNOPSIS
xd [ option ... ] [ -format ... ] [ file ... ]

DESCRIPTION
Xd concatenates and dumps the files (standard input by default) in one or more formats. Groups of 16 bytes are printed in each of the named formats, one format per line. Each line of output is prefixed by its address (byte offset) in the input file. The first line of output for each group is zero-padded; subsequent are blank-padded.

Formats other than -c are specified by pairs of characters telling size and style, by default. The sizes are

1 or b
    1-byte units.

2 or w
    2-byte big-endian units.

4 or l
    4-byte big-endian units.

8 or v
    8-byte big-endian units.

The styles are

o   Octal.

x   Hexadecimal.

d   Decimal.

Other options are

-c  Format as 1x but print ASCII representations or C escape sequences where possible.

-astyle
    Print file addresses in the given style (and size 4).

-u  (Unbuffered) Flush the output buffer after each 16-byte sequence.

-s  Reverse (swab) the order of bytes in each group of 4 before printing.

-r  Print repeating groups of identical 16-byte sequences as the first group followed by an asterisk.

SOURCE
/src/cmd/xd.c

SEE ALSO
db(1)

BUGS
The various output formats don't line up properly in the output of xd.